<?php

namespace WordpressModels\Rest\Permissions;

interface PermissionFunctionsInterface
{

    static function isAuthorized(): bool;

    static function userHasRole(string $role, ?int $userId = null): bool;

    static function userHasCapability(string $capability, ?int $userId = null): bool;

}